import React from 'react';
import TwForm from '../../1form/form';
interface IProp {
    fields: any[];
    defaultValues: any;
    onChange: any;
}
export default class EngineProperty extends React.Component<IProp> {
    refForm: React.RefObject<TwForm>;
    constructor(props: IProp);
    onFormValueChange: (value: any, event: any) => void;
    getValues(): Promise<any>;
    onChangeV: (name: string, call: any) => (value: any, event: any, target: any) => void;
    setOnFieldChange(cell: any): any;
    setFieldsValues(fields: any[], property: any): any[];
    hasUpdateProperty: (value: any, name: any) => void;
    render(): React.JSX.Element;
}
export {};
